Bug 591660 - [abrt] crash in xorg-x11-server-Xorg-1.8.0-12.fc13: raise: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] crash in xorg-x11-server-Xorg-1.8.0-12.fc13: raise: Process /usr/bin/X...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:43a592fef452014e8cd361e2f74...
:
: 596547 643638 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 15:37 EDT by Michal Hlavinka
Modified: 2011-06-27 12:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.80 KB, text/plain)
2010-05-12 15:37 EDT, Michal Hlavinka
no flags Details
xorg log (61.57 KB, text/plain)
2010-05-12 15:38 EDT, Michal Hlavinka
no flags Details
var log messages (13.82 KB, text/plain)
2010-05-12 15:40 EDT, Michal Hlavinka
no flags Details
output of dmesg (49.03 KB, text/plain)
2010-05-12 15:41 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2010-05-12 15:37:07 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/X -nr -nolisten tcp :0 vt1 -auth /var/run/kdm/A:0-o9Hs6a
comment: just crashed when I was starting smplayer
component: xorg-x11-server
crash_function: raise
executable: /usr/bin/Xorg
global_uuid: 43a592fef452014e8cd361e2f74d4635e58311b1
kernel: 2.6.33.3-85.fc13.x86_64
package: xorg-x11-server-Xorg-1.8.0-12.fc13
rating: 4
reason: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 Michal Hlavinka 2010-05-12 15:37:09 EDT
Created attachment 413533 [details]
File: backtrace
Comment 2 Michal Hlavinka 2010-05-12 15:38:56 EDT
Created attachment 413535 [details]
xorg log
Comment 3 Michal Hlavinka 2010-05-12 15:40:18 EDT
Created attachment 413536 [details]
var log messages
Comment 4 Michal Hlavinka 2010-05-12 15:41:17 EDT
Created attachment 413537 [details]
output of dmesg
Comment 5 Yan-Fa Li 2010-05-26 18:12:37 EDT
Package: xorg-x11-server-Xorg-1.8.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run xorg for a few hours with the nouveau driver
2. randomly click on some button or icon
3. boom


Comment
-----
I am not able to consistently reproduce it.  It just seems to happen after a couple of hours use.  I am running an xorg server with 2 monitors, with one of the monitors rotated right 270 degrees.  It's frustrating as I lose all my state and work.  I considered switching back to the nvidia driver, but that doesn't support xrandr from within kde very well and I'll have to come up with a custom xorg.conf which can take hours.
Comment 6 Yan-Fa Li 2010-05-26 19:38:30 EDT
Package: xorg-x11-server-Xorg-1.8.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run xorg for a few hours with the nouveau driver
2. randomly click on some button or icon
3. boom


Comment
-----
I am not able to consistently reproduce it.  It just seems to happen after a couple of hours use.  I am running an xorg server with 2 monitors, with one of the monitors rotated right 270 degrees.  It's frustrating as I lose all my state and work.  I considered switching back to the nvidia driver, but that doesn't support xrandr from within kde very well and I'll have to come up with a custom xorg.conf which can take hours.
Comment 7 Sergey 2010-05-31 02:14:45 EDT
Package: xorg-x11-server-Xorg-1.8.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Boot with "nomodeset", login (I use KDE)
2. Make a few simple actions, i.e. Alt+F2, Esc, Alt+F2, Esc, or click on a cashew
3. Get X crashed

There were no such crashes in Fedora12, they appeared only after upgrading to Fedora13


Comment
-----
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]
kernel-2.6.33.4-95.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64

==> Xorg.0.log.old part <==
Backtrace:
 0: /usr/bin/X (xorg_backtrace+0x28) [0x49e708]
 1: /usr/bin/X (0x400000+0x603d9) [0x4603d9]
 2: /lib64/libc.so.6 (0x32f3000000+0x32a40) [0x32f3032a40]
 3: /usr/bin/X (dixLookupPrivate+0xa) [0x445caa]
 4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f1743407000+0x3e99b) [0x7f174344599b]
 5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f1743407000+0x35e6f) [0x7f174343ce6f]
 6: /usr/bin/X (FreeResource+0x140) [0x449570]
 7: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f1743407000+0x32f19) [0x7f1743439f19]
 8: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f1743407000+0x35c80) [0x7f174343cc80]
 9: /usr/bin/X (0x400000+0x2c32c) [0x42c32c]
 10: /usr/bin/X (0x400000+0x219ca) [0x4219ca]
 11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x32f301ec5d]
 12: /usr/bin/X (0x400000+0x21579) [0x421579]
 Segmentation fault at address 0x290
Comment 8 Sergey 2010-05-31 02:35:12 EDT
Looks like this happens when some window is closed.

PS: I can 100% reproduce this with a few mouse clicks, and it's very annoying
Comment 9 diego 2010-06-05 15:59:33 EDT
Package: xorg-x11-server-Xorg-1.8.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Xsession run without relevant graphics load. Se Xsession restart and return at gdm-login.
Comment 10 diego 2010-06-15 13:36:29 EDT
In my case I have a nvidia GPU with nouveau.

lspci:


00:00.0 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: nVidia Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP61 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP61 USB Controller (rev a2)
00:04.0 PCI bridge: nVidia Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: nVidia Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: nVidia Corporation MCP61 Ethernet (rev a2)
00:08.0 RAID bus controller: nVidia Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0d.0 VGA compatible controller: nVidia Corporation C61 [GeForce 6150SE nForce 430] (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control


part of val/log/messagess:

Jun 15 19:24:41 geeg abrtd: Registered Analyzer plugin 'Python'
Jun 15 19:24:41 geeg abrtd: Registered Analyzer plugin 'CCpp'
Jun 15 19:24:41 geeg abrtd: Registered Reporter plugin 'Logger'
Jun 15 19:24:41 geeg abrtd: Registered Reporter plugin 'KerneloopsReporter'
Jun 15 19:24:41 geeg abrtd: Registered Analyzer plugin 'Kerneloops'
Jun 15 19:24:41 geeg abrtd: Registered Reporter plugin 'Bugzilla'
Jun 15 19:24:41 geeg abrtd: Registered Action plugin 'KerneloopsScanner'
Jun 15 19:24:41 geeg abrtd: Checking for unsaved crashes (dirs to check:4)
Jun 15 19:24:42 geeg abrtd: Registered Database plugin 'SQLite3'
Jun 15 19:24:42 geeg abrtd: Done checking for unsaved crashes
Jun 15 19:24:42 geeg abrtd: Init complete, entering main loop
Jun 15 19:24:44 geeg kernel: [drm] nouveau 0000:00:0d.0: Allocating FIFO number 1
Jun 15 19:24:44 geeg kernel: [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 1
Jun 15 19:24:44 geeg kernel: [drm] nouveau 0000:00:0d.0: Allocating FIFO number 2
Jun 15 19:24:44 geeg kernel: [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 2
Jun 15 19:24:52 geeg polkitd[1618]: started daemon version 0.96 using authority implementation `local' version `0.96'
Jun 15 19:24:52 geeg kernel: type=1305 audit(1276622692.876:23014): auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 op="remove rule" key=(null) list=4 res=1
Jun 15 19:24:52 geeg kernel: type=1305 audit(1276622692.876:23015): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 res=1
Jun 15 19:24:53 geeg rtkit-daemon[1627]: Sucessfully made thread 1625 of process 1625 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Jun 15 19:24:53 geeg gdm-simple-greeter[1612]: Gtk-WARNING: gtkwidget.c:5643: widget not within a GtkWindow
Jun 15 19:24:53 geeg rtkit-daemon[1627]: Sucessfully made thread 1631 of process 1625 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Jun 15 19:24:53 geeg rtkit-daemon[1627]: Sucessfully made thread 1632 of process 1625 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Jun 15 19:24:53 geeg gdm-simple-greeter[1612]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width 349 and height -1
Jun 15 19:24:54 geeg kernel: readahead-collector: starting delayed service auditd
Jun 15 19:24:54 geeg accounts-daemon[1637]: started daemon version 0.6
Jun 15 19:24:54 geeg auditd[1656]: Started dispatcher: /sbin/audispd pid: 1658
Jun 15 19:24:54 geeg audispd: audispd initialized with q_depth=80 and 1 active plugins
Jun 15 19:24:54 geeg auditd[1656]: Init complete, auditd 2.0.4 listening for events (startup state enable)
Jun 15 19:24:54 geeg kernel: readahead-collector: sorting
Jun 15 19:24:54 geeg kernel: readahead-collector: finished
Jun 15 19:25:01 geeg rtkit-daemon[1627]: Sucessfully made thread 1787 of process 1787 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jun 15 19:25:01 geeg kernel: fuse init (API version 7.13)
Jun 15 19:25:02 geeg rtkit-daemon[1627]: Sucessfully made thread 1796 of process 1787 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Jun 15 19:25:02 geeg rtkit-daemon[1627]: Sucessfully made thread 1797 of process 1787 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Jun 15 19:25:02 geeg rtkit-daemon[1627]: Sucessfully made thread 1820 of process 1820 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jun 15 19:25:02 geeg pulseaudio[1820]: pid.c: Daemon already running.
Jun 15 19:25:09 geeg dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.62" (uid=500 pid=2117 comm="/usr/libexec/gdm-user-switch-applet) interface="org.gnome.DisplayManager.Settings" member="GetValue" error name="(unset)" requested_reply=0 destination="org.gnome.DisplayManager" (uid=0 pid=1450 comm="/usr/sbin/gdm-binary))
Jun 15 19:25:09 geeg dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.62" (uid=500 pid=2117 comm="/usr/libexec/gdm-user-switch-applet) interface="org.gnome.DisplayManager.Settings" member="GetValue" error name="(unset)" requested_reply=0 destination="org.gnome.DisplayManager" (uid=0 pid=1450 comm="/usr/sbin/gdm-binary))
Jun 15 19:25:09 geeg dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.62" (uid=500 pid=2117 comm="/usr/libexec/gdm-user-switch-applet) interface="org.gnome.DisplayManager.Settings" member="GetValue" error name="(unset)" requested_reply=0 destination="org.gnome.DisplayManager" (uid=0 pid=1450 comm="/usr/sbin/gdm-binary))
Jun 15 19:25:58 geeg NetworkManager[1135]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Jun 15 19:25:58 geeg NetworkManager[1135]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Jun 15 19:26:03 geeg abrt[2220]: saved core dump of pid 1489 (/usr/bin/Xorg) to /var/cache/abrt/ccpp-1276622762-1489.new/coredump (42594304 bytes)
Jun 15 19:26:03 geeg abrtd: Directory 'ccpp-1276622762-1489' creation detected
Jun 15 19:26:03 geeg kernel: [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 1
Jun 15 19:26:03 geeg kernel: [drm] nouveau 0000:00:0d.0: nouveau_channel_free: freeing fifo 2
Jun 15 19:26:04 geeg gnome-keyring-daemon[1685]: dbus failure unregistering from session: Connection is closed
Jun 15 19:26:04 geeg gnome-keyring-daemon[1685]: dbus failure unregistering from session: Connection is closed
Jun 15 19:26:04 geeg kernel: [drm] nouveau 0000:00:0d.0: Allocating FIFO number 1
Jun 15 19:26:04 geeg kernel: [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 1
Jun 15 19:26:04 geeg kernel: [drm] nouveau 0000:00:0d.0: Allocating FIFO number 2
Jun 15 19:26:04 geeg kernel: [drm] nouveau 0000:00:0d.0: nouveau_channel_alloc: initialised FIFO 2
Jun 15 19:26:04 geeg abrtd: Crash is in database already (dup of /var/cache/abrt/ccpp-1276236896-8251)
Jun 15 19:26:04 geeg abrtd: Deleting crash ccpp-1276622762-1489 (dup of ccpp-1276236896-8251), sending dbus signal
Jun 15 19:26:06 geeg rtkit-daemon[1627]: Sucessfully made thread 2280 of process 2280 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Jun 15 19:26:07 geeg rtkit-daemon[1627]: Sucessfully made thread 2282 of process 2280 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Jun 15 19:26:07 geeg rtkit-daemon[1627]: Sucessfully made thread 2283 of process 2280 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Jun 15 19:26:07 geeg gdm-simple-greeter[2269]: Gtk-WARNING: gtkwidget.c:5643: widget not within a GtkWindow
Jun 15 19:26:07 geeg gdm-simple-greeter[2269]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width 349 and height -1
Jun 15 19:26:16 geeg gdm-simple-greeter[2269]: WARNING: Failed to send buffer
Jun 15 19:26:18 geeg rtkit-daemon[1627]: Sucessfully made thread 2397 of process 2397 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jun 15 19:26:18 geeg pulseaudio[2397]: pid.c: Stale PID file, overwriting.
Jun 15 19:26:18 geeg rtkit-daemon[1627]: Sucessfully made thread 2408 of process 2397 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Jun 15 19:26:19 geeg rtkit-daemon[1627]: Sucessfully made thread 2411 of process 2397 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Jun 15 19:26:19 geeg rtkit-daemon[1627]: Sucessfully made thread 2437 of process 2437 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Jun 15 19:26:19 geeg pulseaudio[2437]: pid.c: Daemon already running.
Jun 15 19:26:20 geeg dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.93" (uid=500 pid=2489 comm="/usr/libexec/gdm-user-switch-applet) interface="org.gnome.DisplayManager.Settings" member="GetValue" error name="(unset)" requested_reply=0 destination="org.gnome.DisplayManager" (uid=0 pid=1450 comm="/usr/sbin/gdm-binary))
Jun 15 19:26:20 geeg dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.93" (uid=500 pid=2489 comm="/usr/libexec/gdm-user-switch-applet) interface="org.gnome.DisplayManager.Settings" member="GetValue" error name="(unset)" requested_reply=0 destination="org.gnome.DisplayManager" (uid=0 pid=1450 comm="/usr/sbin/gdm-binary))
Jun 15 19:26:20 geeg dbus: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.93" (uid=500 pid=2489 comm="/usr/libexec/gdm-user-switch-applet) interface="org.gnome.DisplayManager.Settings" member="GetValue" error name="(unset)" requested_reply=0 destination="org.gnome.DisplayManager" (uid=0 pid=1450 comm="/usr/sbin/gdm-binary))
Jun 15 19:27:55 geeg ntpd[1373]: 0.0.0.0 c61c 0c clock_step +0.459308 s
Jun 15 19:27:55 geeg ntpd[1373]: 0.0.0.0 c614 04 freq_mode
Jun 15 19:27:56 geeg NetworkManager[1135]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Jun 15 19:27:56 geeg NetworkManager[1135]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Jun 15 19:27:56 geeg ntpd[1373]: 0.0.0.0 c618 08 no_sys_peer
Jun 15 19:28:33 geeg abrtd: Getting crash infos...
Jun 15 19:34:56 geeg NetworkManager[1135]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Jun 15 19:34:56 geeg NetworkManager[1135]: <info> (wlan0): supplicant 
connection state:  group handshake -> completed
Comment 11 diego 2010-06-17 14:51:13 EDT
Package: xorg-x11-server-Xorg-1.8.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 
2.
3.


Comment
-----
Xorg crash when virt-manager run creation of a virtual machine.
Comment 12 James Ettle 2010-06-22 03:06:44 EDT
Package: xorg-x11-server-Xorg-1.8.0-12.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Resumed machine from suspended state.
Comment 13 Karel Klíč 2010-11-08 14:21:45 EST
*** Bug 596547 has been marked as a duplicate of this bug. ***
Comment 14 Karel Klíč 2010-11-08 14:21:49 EST
*** Bug 643638 has been marked as a duplicate of this bug. ***
Comment 15 Bug Zapper 2011-06-02 10:08:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 12:18:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.